using System.Text.Json.Serialization;

namespace SteUp.Shared.Core.Dto;

public class SaveSchedaResponseDto
{
    [JsonPropertyName("activityIdIspezione")]
    public string? ActivityIdIspezione { get; set; }
    
    [JsonPropertyName("activityIdScheda")]
    public string? ActivityIdScheda { get; set; }
    
    [JsonPropertyName("activityIdSchedaList")]
    public List<SchedaActivityId>? ActivityIdSchedaList { get; set; }

    public class SchedaActivityId
    {
        [JsonPropertyName("localId")]
        public int? LocalId { get; set; }
        
        [JsonPropertyName("activityId")]
        public string? ActivityId { get; set; }
    }
}